Name: H5Pget_userblock
Signature:
  herr_t `H5Pget_userblock`(hid_t `plist`, hsize_t * `size` )
Purpose:
  Retrieves the size of a user block.
Description:
  `H5Pget_userblock` retrieves the size of a user block in a file creation property list.
Parameters:

hid_t `plist` | IN: Identifier for property list to query.
hsize_t * `size` | OUT: Pointer to location to return user-block size.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_userblock_f

      SUBROUTINE h5pget_userblock_f(prp_id, block_size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id   ! Property list identifier
        INTEGER(HSIZE_T), DIMENSION(:), INTENT(OUT) ::  block_size
                                               ! Size of the user-block in bytes
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_userblock_f